#-*- coding: utf-8 -*-
import gui
import ui
import globalPluginHandler
import globalVars
import os
from configobj import ConfigObj
import addonHandler
#initialize translation
addonHandler.initTranslation()


class GlobalPlugin(globalPluginHandler.GlobalPlugin):

	def __init__(self):
		super(globalPluginHandler.GlobalPlugin, self).__init__()

	def script_quit (self, gesture):
		globalVars.skypeAlerts = False
		gui.quit()

	def script_skypeLastAlert (self, gesture):
		config_skype = os.path.join(globalVars.appArgs.configPath,"Skype.ini")
		if os.path.isfile(config_skype):
			config = ConfigObj(config_skype)
			try:
				try:
					alert = config ['Alerts list']['0'].decode('latin-1')
				except:
					alert = config ['Alerts list']['0']
				ui.message(alert)
			except (KeyError, IOError):
				ui.message (_('No skype alerts'))


	__gestures={
		"kb:NVDA+q": "quit",
		"kb:NVDA+control+escape": "skypeLastAlert",
	}

